Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QImage.Format

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QImage.Format

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QImage

    public static final class QImage.Format

extends java.lang.Enum
implements QtEnumerator

The following image formats are available in all versions of Qt.

See also:
  `format()`, and `convertToFormat()`.

See Also:
  Serialized Form

Field Summary
`static QImage.Format` | `Format_ARGB32` The image is stored using a 32-bit ARGB format (0xAARRGGBB).
`static QImage.Format` | `Format_ARGB32_Premultiplied` The image is stored using a premultiplied 32-bit ARGB format (0xAARRGGBB), i.e.
`static QImage.Format` | `Format_ARGB4444_Premultiplied` The image is stored using a premultiplied 16-bit ARGB format (4-4-4-4).
`static QImage.Format` | `Format_ARGB6666_Premultiplied` The image is stored using a premultiplied 24-bit ARGB format (6-6-6-6).
`static QImage.Format` | `Format_ARGB8555_Premultiplied` The image is stored using a premultiplied 24-bit ARGB format (8-5-5-5).
`static QImage.Format` | `Format_ARGB8565_Premultiplied` The image is stored using a premultiplied 24-bit ARGB format (8-5-6-5).
`static QImage.Format` | `Format_Indexed8` The image is stored using 8-bit indexes into a colormap.
`static QImage.Format` | `Format_Invalid` The image is invalid.
`static QImage.Format` | `Format_Mono` The image is stored using 1-bit per pixel.
`static QImage.Format` | `Format_MonoLSB` The image is stored using 1-bit per pixel.
`static QImage.Format` | `Format_RGB16` The image is stored using a 16-bit RGB format (5-6-5).
`static QImage.Format` | `Format_RGB32` The image is stored using a 32-bit RGB format (0xffRRGGBB).
`static QImage.Format` | `Format_RGB444` The image is stored using a 16-bit RGB format (4-4-4).
`static QImage.Format` | `Format_RGB555` The image is stored using a 16-bit RGB format (5-5-5).
`static QImage.Format` | `Format_RGB666` The image is stored using a 24-bit RGB format (6-6-6).
`static QImage.Format` | `Format_RGB888` The image is stored using a 24-bit RGB format (8-8-8).
`static QImage.Format` | `NImageFormats`

Method Summary
`static QImage.Format` | `resolve(int value)` Returns the QImage$Format constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImage.Format` | `valueOf(java.lang.String name)`
`static QImage.Format[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Format_Invalid

    public static final QImage.Format Format_Invalid

  The image is invalid.

### Format_Mono

    public static final QImage.Format Format_Mono

  The image is stored using 1-bit per pixel. Bytes are packed with the most significant bit (MSB) first.

### Format_MonoLSB

    public static final QImage.Format Format_MonoLSB

  The image is stored using 1-bit per pixel. Bytes are packed with the less significant bit (LSB) first.

### Format_Indexed8

    public static final QImage.Format Format_Indexed8

  The image is stored using 8-bit indexes into a colormap.

### Format_RGB32

    public static final QImage.Format Format_RGB32

  The image is stored using a 32-bit RGB format (0xffRRGGBB).

### Format_ARGB32

    public static final QImage.Format Format_ARGB32

  The image is stored using a 32-bit ARGB format (0xAARRGGBB).

### Format_ARGB32_Premultiplied

    public static final QImage.Format Format_ARGB32_Premultiplied

  The image is stored using a premultiplied 32-bit ARGB format (0xAARRGGBB), i.e. the red, green, and blue channels are multiplied by the alpha component divided by 255. (If RR, GG, or BB has a higher value than the alpha channel, the results are undefined.) Certain operations (such as image composition using alpha blending) are faster using premultiplied ARGB32 than with plain ARGB32.

### Format_RGB16

    public static final QImage.Format Format_RGB16

  The image is stored using a 16-bit RGB format (5-6-5).

### Format_ARGB8565_Premultiplied

    public static final QImage.Format Format_ARGB8565_Premultiplied

  The image is stored using a premultiplied 24-bit ARGB format (8-5-6-5).

### Format_RGB666

    public static final QImage.Format Format_RGB666

  The image is stored using a 24-bit RGB format (6-6-6). The unused most significant bits is always zero.

### Format_ARGB6666_Premultiplied

    public static final QImage.Format Format_ARGB6666_Premultiplied

  The image is stored using a premultiplied 24-bit ARGB format (6-6-6-6).

### Format_RGB555

    public static final QImage.Format Format_RGB555

  The image is stored using a 16-bit RGB format (5-5-5). The unused most significant bit is always zero.

### Format_ARGB8555_Premultiplied

    public static final QImage.Format Format_ARGB8555_Premultiplied

  The image is stored using a premultiplied 24-bit ARGB format (8-5-5-5).

### Format_RGB888

    public static final QImage.Format Format_RGB888

  The image is stored using a 24-bit RGB format (8-8-8).

### Format_RGB444

    public static final QImage.Format Format_RGB444

  The image is stored using a 16-bit RGB format (4-4-4). The unused bits are always zero.

### Format_ARGB4444_Premultiplied

    public static final QImage.Format Format_ARGB4444_Premultiplied

  The image is stored using a premultiplied 16-bit ARGB format (4-4-4-4).

### NImageFormats

    public static final QImage.Format NImageFormats

Method Detail

### values

    public static QImage.Format[] values()

### valueOf

    public static QImage.Format valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImage.Format resolve(int value)

  Returns the QImage$Format constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD